
package client16;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the client16 package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _GetResourceResponse_QNAME = new QName("http://QoS/", "getResourceResponse");
    private final static QName _SqlSelectResponse_QNAME = new QName("http://QoS/", "sqlSelectResponse");
    private final static QName _Status_QNAME = new QName("http://QoS/", "status");
    private final static QName _StatusResponse_QNAME = new QName("http://QoS/", "statusResponse");
    private final static QName _SqlSelect_QNAME = new QName("http://QoS/", "sqlSelect");
    private final static QName _GetResource_QNAME = new QName("http://QoS/", "getResource");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: client16
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link GetResourceResponse }
     * 
     */
    public GetResourceResponse createGetResourceResponse() {
        return new GetResourceResponse();
    }

    /**
     * Create an instance of {@link SqlSelect }
     * 
     */
    public SqlSelect createSqlSelect() {
        return new SqlSelect();
    }

    /**
     * Create an instance of {@link GetResource }
     * 
     */
    public GetResource createGetResource() {
        return new GetResource();
    }

    /**
     * Create an instance of {@link Status }
     * 
     */
    public Status createStatus() {
        return new Status();
    }

    /**
     * Create an instance of {@link StatusResponse }
     * 
     */
    public StatusResponse createStatusResponse() {
        return new StatusResponse();
    }

    /**
     * Create an instance of {@link SqlSelectResponse }
     * 
     */
    public SqlSelectResponse createSqlSelectResponse() {
        return new SqlSelectResponse();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetResourceResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://QoS/", name = "getResourceResponse")
    public JAXBElement<GetResourceResponse> createGetResourceResponse(GetResourceResponse value) {
        return new JAXBElement<GetResourceResponse>(_GetResourceResponse_QNAME, GetResourceResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SqlSelectResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://QoS/", name = "sqlSelectResponse")
    public JAXBElement<SqlSelectResponse> createSqlSelectResponse(SqlSelectResponse value) {
        return new JAXBElement<SqlSelectResponse>(_SqlSelectResponse_QNAME, SqlSelectResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Status }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://QoS/", name = "status")
    public JAXBElement<Status> createStatus(Status value) {
        return new JAXBElement<Status>(_Status_QNAME, Status.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link StatusResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://QoS/", name = "statusResponse")
    public JAXBElement<StatusResponse> createStatusResponse(StatusResponse value) {
        return new JAXBElement<StatusResponse>(_StatusResponse_QNAME, StatusResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SqlSelect }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://QoS/", name = "sqlSelect")
    public JAXBElement<SqlSelect> createSqlSelect(SqlSelect value) {
        return new JAXBElement<SqlSelect>(_SqlSelect_QNAME, SqlSelect.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetResource }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://QoS/", name = "getResource")
    public JAXBElement<GetResource> createGetResource(GetResource value) {
        return new JAXBElement<GetResource>(_GetResource_QNAME, GetResource.class, null, value);
    }

}
